package ibase.webitm.ejb.adm;

import ibase.system.config.ConnDriver;
import ibase.webitm.ejb.ValidatorEJB;
import ibase.webitm.utility.GenericUtility;
import ibase.webitm.utility.ITMException;
import java.util.*;
import java.rmi.RemoteException;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.text.SimpleDateFormat;
import java.sql.Timestamp;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import javax.ejb.Stateless;

@Stateless
public class BondRecovery extends ValidatorEJB implements BondRecoveryLocal, BondRecoveryRemote
{	
	public String wfValData() throws RemoteException,ITMException
	{
		return "";
	}

	public String itemChanged() throws RemoteException,ITMException
	{
		return "";
	}
	
	public String wfValData(String xmlString, String xmlString1,String xmlString2, String objContext, String editFlag, String xtraParams) throws RemoteException,ITMException
	{
		String errString = null;
		Document dom = null;
		Document dom1 = null;
		Document dom2 = null;
		NodeList parentNodeList = null;
		NodeList childNodeList = null;
		Node parentNode = null;
		Node childNode = null;
		String childNodeName = "";
	
		System.out.println("\n\n xmlString in wfValData \n:" + xmlString + "\n");
		System.out.println("\n\n xmlString1 in wfValData \n :" + xmlString1 +"\n");
		System.out.println("\n\n xmlString2 in wfValData \n :" + xmlString2 +"\n");
	
		try
		{
			dom = parseString(xmlString);
			dom1 = parseString(xmlString1);
			if (xmlString2.trim().length() > 0)
			{
				dom2 = parseString("<Root>" + xmlString2+ "</Root>");
			}
			//errString = wfValData(dom,dom1,dom2,objContext,editFlag,xtraParams);
	
			//ADDED FOR INVOIKING VALIDATION IN WORKFLOW
			if( objContext != null && Integer.parseInt(objContext) == 1 )
			{
				parentNodeList = dom2.getElementsByTagName("Header0");
				parentNode = parentNodeList.item(1);
				childNodeList = parentNode.getChildNodes();						
				for(int x=0;x<childNodeList.getLength();x++)
				{				
					childNode = childNodeList.item(x);
					childNodeName = childNode.getNodeName();
					if(childNodeName.equalsIgnoreCase("Detail1"))
					{
						errString = wfValData(dom,dom1,dom2,"1",editFlag,xtraParams);
						if(errString != null && errString.trim().length() > 0)
							break;
					}
					else if(childNodeName.equalsIgnoreCase("Detail2"))
					{						
						errString = wfValData(dom,dom1,dom2,"2",editFlag,xtraParams);
						if(errString != null && errString.trim().length() > 0)
							break;
					}	
					else if(childNodeName.equalsIgnoreCase("Detail3"))
					{
						errString = wfValData(dom,dom1,dom2,"3",editFlag,xtraParams);
						if(errString != null && errString.trim().length() > 0)
							break;
					}
				}
			}
			else
			{
				errString = wfValData(dom,dom1,dom2,objContext,editFlag,xtraParams);
			}
		}
		catch(Exception e)
		{
			System.out.println("Exception : ChangecontrolEJB : wfValData(String xmlString) : ==>\n"+e.getMessage());
		}
		return (errString);
	}
	public String wfValData(Document dom, Document dom1, String objContext, String editFlag, String xtraParams) throws RemoteException,ITMException
	{
		return "";
	}

	public String wfValData(String xmlString, String xmlString1,String xmlString2, String objContext, String editFlag) throws RemoteException,ITMException
	{
		return "";
	}
	public String itemChanged(Document dom, Document dom1,String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException,ITMException
	{
		return "";
	}
	public String itemChanged(String xmlString, String xmlString1,String xmlString2, String objContext, String currentColumn, String editFlag) throws RemoteException,ITMException
	{
		return "";
	}
		
	public String wfValData(Document dom, Document dom1,Document dom2, String objContext, String editFlag, String xtraParams) throws RemoteException,ITMException
	{
		System.out.println("in  wfValData........");
		NodeList parentNodeList = null;
		NodeList childNodeList = null;
		Node parentNode = null;
		Node childNode = null;
		int ctr = 0,cnt = 0;
		String childNodeName = null;
		String errString = "";
		String errCode = "";
		Connection conn = null;
		PreparedStatement pstmt = null;
		ResultSet rs = null;
		String sql = "";
		String userId = "";
		int currentFormNo=0;
		int childNodeListLength;				
		String empCode="",siteCode = "",recAmtAct="";
		GenericUtility genericUtility = GenericUtility.getInstance();
		try
		{
			System.out.println("in try.....");
			ConnDriver connDriver = new ConnDriver();
			conn = connDriver.getConnectDB("DriverITM");
			conn.setAutoCommit(false);
			connDriver = null;
			userId = getValueFromXTRA_PARAMS(xtraParams,"loginCode");
			//ccStatus=genericUtility.getColumnValue("status",dom);
			
			if(objContext != null && objContext.trim().length() > 0)
			{
				currentFormNo = Integer.parseInt(objContext);
			}
			
			switch(currentFormNo)
			{
				case 1 :
					parentNodeList = dom.getElementsByTagName("Detail1");
					parentNode = parentNodeList.item(0);
					childNodeList = parentNode.getChildNodes();
					childNodeListLength = childNodeList.getLength();
					for(ctr = 0; ctr < childNodeListLength; ctr++)
					{
						childNode = childNodeList.item(ctr);
						childNodeName = childNode.getNodeName();
						
						if (childNodeName.equalsIgnoreCase("emp_code"))
						{
							empCode = genericUtility.getColumnValue("emp_code",dom);							
							System.out.println(" eMP CODE -->>"+empCode);
							if (empCode == null || empCode.trim().length() == 0 )
							{															
								errCode = "VNULEMPC";
								errString = getErrorString("emp_code",errCode,userId);
								System.out.println("in message error code 1....");
								break;								
							}

							else 
							{								
								sql = "select count(1) from employee where  emp_code = ?";
								pstmt=conn.prepareStatement(sql);
								pstmt.setString(1,empCode);
								rs = pstmt.executeQuery();
								if(rs.next())
								{
									cnt = rs.getInt(1);
								}
								pstmt.close();
								rs.close();
								pstmt = null;
								rs = null;
								if(cnt == 0)
								{
									errCode = "VMEMPCD1";
									errString = getErrorString("emp_code",errCode,userId);
									
									break;
								}
							}
						}
						
						else if (childNodeName.equalsIgnoreCase("site_code"))
						{
							siteCode = genericUtility.getColumnValue("site_code",dom);							

							if (siteCode == null || siteCode.trim().length() == 0 )
							{															
								errCode = "VMSITENULL";
								errString = getErrorString("site_code",errCode,userId);
								break;							
							}
							else
							{
								sql = "select count(1) from site where  site_code = ? ";
								pstmt=conn.prepareStatement(sql);
								pstmt.setString(1,siteCode);
								rs = pstmt.executeQuery();
								if(rs.next())
								{
									cnt = rs.getInt(1);
								}
								pstmt.close();
								rs.close();
								pstmt = null;
								rs = null;
								if(cnt == 0)
								{
									errCode = "VMSITENVAL";
									errString = getErrorString("site_code",errCode,userId);
									break;
								}
							}
						}
						else if (childNodeName.equalsIgnoreCase("recovery_amt__act"))
						{
							
							recAmtAct = genericUtility.getColumnValue("recovery_amt__act",dom);		
							String recAmtDue = genericUtility.getColumnValue("amt__due",dom);
							System.out.println("Actual amt :"+recAmtAct+" recAmtDue :"+recAmtDue);
							if (recAmtAct == null || recAmtAct.trim().length() == 0 )
							{															
								errCode = "VBACTAMT";
								errString = getErrorString("recovery_amt__act",errCode,userId);
								break;							
							}
							double recAmountAct=0.0,recAmountDue=0.0;
							
							
							if( recAmtDue !=null || recAmtDue.trim().length() == 0 )
							{
								recAmountAct=Double.parseDouble(recAmtAct);
								recAmountDue=Double.parseDouble(recAmtDue);
								if (recAmountAct > recAmountDue)
								{
									errCode="RECAMTNUL";
									errString = getErrorString("amt__due",errCode,userId);
									break;
								}
							}
							
						}
					}// for loop end
			} //end switch
			
		}//end try
		catch(Exception e)
		{			
			e.printStackTrace();
			errString = e.getMessage();
		}
		finally
		{
			try
			{
				if(conn!=null)
				{
					conn.close();
					conn = null;
				}				
				if(pstmt != null )
				{
					pstmt.close();
					pstmt = null;
				}
				if(rs != null )
				{
					rs.close();
					rs = null;
				}
			}
			catch(Exception d)
			{
				d.printStackTrace();
			}
		}		
		return errString;
	}
	
	public String itemChanged(String xmlString, String xmlString1,String xmlString2, String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException,ITMException
	{
		System.out.println("in item changed");
		Document dom = null;
		Document dom1 = null;
		Document dom2 = null;
		String valueXmlString = "";
		
		//System.out.println("\n\n xmlString in ItemChanged \n:" + xmlString + "\n");
		//System.out.println("\n\n xmlString1 In ItemChanged \n :" + xmlString1 +"\n");

		try
		{
			dom = parseString(xmlString);			
			dom1 = parseString(xmlString1);
			if (xmlString2.trim().length() > 0 )
			{
				dom2 = parseString(xmlString2);
			}
			valueXmlString = itemChanged(dom,dom1,dom2,objContext,currentColumn,editFlag,xtraParams);
		}
		catch(Exception e)
		{
			System.out.println("Exception : [ChangeControlEJB][itemChanged(String,String)] :==>\n"+e.getMessage());
		}
		return valueXmlString;
	}
	
	public String itemChanged(Document dom, Document dom1,Document dom2, String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException,ITMException
	{
		StringBuffer valueXmlString = new StringBuffer();
		NodeList parentNodeList = null;

		NodeList childNodeList = null;
		Node parentNode = null;
		Connection conn = null;
		PreparedStatement pstmt = null;
		ResultSet rs = null ;
		
		
		int currentFormNo = 0;
		String deptCode="", empCode="";
		String deptDescr = "",dateRelieve="",dateJoin="",loginEmpCode = null;
		String sql = "",descr = "",empfname = "", empmname = "", emplname = "";
		ConnDriver connDriver = new ConnDriver();
		String acct_code="", cctr_code="";
		int bondPrd=0;
		double bondAmt=0.0,bondAmtDone=0.0,bondAmtDue=0.0;
		
		String tranDate="",loginEmpCode="";
		String [] datearrayJ=new String[3];
		String [] datearrayR=new String[3];

		String splitdateJ="",splitmonthJ="",splityearJ="",splitdateR="",splitmonthR="",splityearR="";

		Timestamp timestampDateJ = null,timestampDateR=null;
		
		try
		{
			GenericUtility genericUtility = GenericUtility.getInstance();
			loginEmpCode = GenericUtility.getInstance().getValueFromXTRA_PARAMS(xtraParams, "loginEmpCode");
			SimpleDateFormat simpleDateFormat = new SimpleDateFormat(genericUtility.getApplDateFormat());
			Timestamp timestamp = new Timestamp(System.currentTimeMillis());
			conn = connDriver.getConnectDB("DriverITM");
			conn.setAutoCommit(false);
			connDriver=null;
			if(objContext != null && objContext.trim().length()>0)
			{
				currentFormNo = Integer.parseInt(objContext);
			}
			valueXmlString = new StringBuffer("<?xml version=\"1.0\"?><Root><header><editFlag>");
			valueXmlString.append(editFlag).append("</editFlag></header>");

			switch(currentFormNo)
			{
			case 1 :
				valueXmlString.append("<Detail1>");
				parentNodeList = dom.getElementsByTagName("Detail1");
				parentNode = parentNodeList.item(0);
				childNodeList = parentNode.getChildNodes();
								
				if(currentColumn.trim().equalsIgnoreCase("itm_default"))
				{
					String confirmed="N";
					tranDate = simpleDateFormat.format(timestamp).toString();
					System.out.println("Tran Date 111: "+tranDate.toString());
					valueXmlString.append("<tran_date>").append("<![CDATA["+tranDate.trim()+"]]>").append("</tran_date>");  
					valueXmlString.append("<confirmed>").append("<![CDATA["+confirmed+"]]>").append("</confirmed>");
					
					sql="select emp_code,emp_fname,emp_mname,emp_lname from employee where emp_code = ?";
					pstmt=conn.prepareStatement(sql);
					pstmt.setString(1, loginEmpCode);
					rs = pstmt.executeQuery();
					if(rs.next())
					{
						empCode=rs.getString(1)==null ? "" : rs.getString(1);
						empfname=rs.getString(2)==null ? "" : rs.getString(2);
						empmname=rs.getString(3)==null ? "" : rs.getString(3);
						emplname=rs.getString(4)==null ? "" : rs.getString(4);
					}
					pstmt.close();
					rs.close();
					pstmt = null;
					rs = null;
					valueXmlString.append("<emp_code__aprv>").append("<![CDATA["+empCode+"]]>").append("</emp_code__aprv>");
					valueXmlString.append("<emp_fname_1>").append("<![CDATA["+empfname+"]]>").append("</emp_fname_1>");
					valueXmlString.append("<emp_mname_1>").append("<![CDATA["+empmname+"]]>").append("</emp_mname_1>");
					valueXmlString.append("<emp_lname_1>").append("<![CDATA["+emplname+"]]>").append("</emp_lname_1>");
					
				}//end item_default
				else if(currentColumn.trim().equalsIgnoreCase("site_code"))
				{
					System.out.println("site code change...");
					String siteCode =genericUtility.getColumnValue("site_code",dom);
					sql = "SELECT DESCR FROM SITE WHERE SITE_CODE = ? ";
					pstmt= conn.prepareStatement(sql);
					pstmt.setString(1,siteCode);
					rs = pstmt.executeQuery();
					while(rs.next())
					{
						descr = rs.getString(1) == null ? "" : rs.getString(1);
					}

					pstmt.close();
					rs.close();
					pstmt = null;
					rs = null;
					valueXmlString.append("<site_descr>").append("<![CDATA["+descr.trim()+"]]>").append("</site_descr>");
				}
				else if(currentColumn.trim().equalsIgnoreCase("emp_code"))
				{
					System.out.println("IN EMP CODE OF ITEM CHANGE");					
					empCode = genericUtility.getColumnValue("emp_code",dom);
					System.out.println("Employee Code in item change ---->>>"+empCode);
					sql = " Select e.emp_fname,e.emp_mname,e.emp_lname,e.dept_code,d.descr,e.acct_code__sal,e.CCTR_CODE__SAL,e.date_join,e.RELIEVE_DATE,e.BOND_AMT__RECO from "+ 
							" employee e,department d "+
							" where e.dept_code = d.dept_code and e.emp_code = ? ";
					
					pstmt= conn.prepareStatement(sql);
					pstmt.setString(1,empCode);
					rs = pstmt.executeQuery();
					SimpleDateFormat sdf = new SimpleDateFormat(genericUtility.getApplDateFormat());
					while(rs.next())
					{
						
						empfname = rs.getString(1) == null ? "" : rs.getString(1);
						empmname = rs.getString(2) == null ? "" : rs.getString(2);
						emplname = rs.getString(3) == null ? "" : rs.getString(3);							 
						deptCode = rs.getString(4) == null ? "" : rs.getString(4);
						descr = rs.getString(5) == null ? "" : rs.getString(5);
						acct_code  = rs.getString(6) == null ? getAcctCodeFromDept(conn,pstmt,rs,empCode) : rs.getString(6);
						cctr_code = rs.getString(7) == null ? getCctrCodeFromDept(conn,pstmt,rs,empCode) : rs.getString(7);
						timestampDateJ =  rs.getTimestamp(8); 
						timestampDateR = rs.getTimestamp(9);
						//bondAmtDone=rs.getDouble(10);
						
						if(timestampDateJ != null) dateJoin = sdf.format(timestampDateJ).toString();	
						if(timestampDateR != null) dateRelieve = sdf.format(timestampDateR).toString();
			
						valueXmlString.append("<emp_fname>").append("<![CDATA["+empfname+"]]>").append("</emp_fname>");
						valueXmlString.append("<emp_mname>").append("<![CDATA["+empmname+"]]>").append("</emp_mname>");
						valueXmlString.append("<emp_lname>").append("<![CDATA["+emplname+"]]>").append("</emp_lname>");
						valueXmlString.append("<dept_code>").append("<![CDATA["+deptCode+"]]>").append("</dept_code>");
						valueXmlString.append("<department_descr>").append("<![CDATA["+descr+"]]>").append("</department_descr>");
						
						valueXmlString.append("<acct_code__bond>").append("<![CDATA["+acct_code+"]]>").append("</acct_code__bond>");
						valueXmlString.append("<cctr_code__bond>").append("<![CDATA["+cctr_code+"]]>").append("</cctr_code__bond>");
						valueXmlString.append("<date_join>").append("<![CDATA["+dateJoin+"]]>").append("</date_join>");
						valueXmlString.append("<relieve_date>").append("<![CDATA["+dateRelieve+"]]>").append("</relieve_date>");
					
						
						System.out.println("First Name :"+empfname+" Middle Name :"+empmname+" Last Name :"+emplname);
						System.out.println("Dept code :"+deptCode+" descr : "+descr);
						System.out.println("in item change---->>>>acct_code111 : "+acct_code+"  cctr_code :"+cctr_code+" Date Join :"+dateJoin+" Relieve Date : "+dateRelieve);
					}
					pstmt.close();
					rs.close();
					pstmt = null;
					rs = null;
					
					//*********************************************************************************************
					 if (dateRelieve !=null && dateJoin !=null&& dateRelieve.length()>0 && dateJoin.length()>0)
				    {
						StringTokenizer  st = new StringTokenizer(dateJoin, "/");
						StringTokenizer  st1 = new StringTokenizer(dateRelieve, "/");
						int i=0;
				        while (st.hasMoreElements())
				        {
				        	datearrayJ[i]=st.nextToken();
				        	i++;
				        }
				        i=0;
				        splitdateJ=datearrayJ[0];
				        splitmonthJ=datearrayJ[1];		
				        int join=Integer.parseInt(datearrayJ[2]);
				       
				        if (join>=80 && join<=99)
				        	splityearJ="19"+datearrayJ[2];
				        else
				        	splityearJ="20"+datearrayJ[2];
				       
				        
				        System.out.println("splitdate :--> "+splitdateJ+" splitmonth :--> "+splitmonthJ+" splityear :--> "+splityearJ);
				      					
				        while (st1.hasMoreElements())
				        {
				        	datearrayR[i]=st1.nextToken();
				        	i++;
				        }
				        i=0;
				        splitdateR=datearrayR[0];
				        splitmonthR=datearrayR[1];		
				        int relieve=Integer.parseInt(datearrayR[2]);
				       
				        if (relieve>=80 && relieve<=99)
				        	splityearR="19"+datearrayR[2];
				        else
				        	splityearR="20"+datearrayR[2];
				       
				        
				        System.out.println("splitdate :--> "+splitdateR+" splitmonth :--> "+splitmonthR+" splityear :--> "+splityearR);
				        Calendar dateJ = new GregorianCalendar(Integer.parseInt(splityearR), Integer.parseInt(splitmonthR), Integer.parseInt(splitdateR));
				      
				        Calendar dateR = new GregorianCalendar(Integer.parseInt(splityearJ),Integer.parseInt(splitmonthJ), Integer.parseInt(splitdateJ));
				        int monthsBetween = (int) monthsBetween(dateJ, dateR);
				       
				        System.out.println("Difference between months ------->>>>"+monthsBetween);
				     
				      
					        sql="select BOND_AMT,BOND_PRD from EMPLOYEE_BOND WHERE EMP_CODE = ? and BOND_PRD >= ?";
							pstmt= conn.prepareStatement(sql);
							pstmt.setString(1,empCode);
							pstmt.setInt(2,monthsBetween);
							rs = pstmt.executeQuery();
							if(rs.next())
							{
								bondAmt = rs.getDouble(1);
								bondPrd = rs.getInt(2);
								valueXmlString.append("<bond_amt>").append("<![CDATA["+bondAmt+"]]>").append("</bond_amt>");
								valueXmlString.append("<bond_prd>").append("<![CDATA["+bondPrd+"]]>").append("</bond_prd>");
								
								
								System.out.println("------>>> BOND AMT : "+bondAmt+" Bond Period : "+bondPrd);							
							}
						pstmt.close();
						rs.close();
						pstmt = null;
						rs = null;
						
					   sql="select BOND_AMT__RECO from EMPLOYEE where emp_code = ?";
					   pstmt= conn.prepareStatement(sql);
					   pstmt.setString(1,empCode);
					   rs = pstmt.executeQuery();
					 while(rs.next())
					   {
						   bondAmtDue= bondAmtDue+rs.getDouble(1);
					   }
					 System.out.println("After while bond amt due------->>>>"+bondAmtDue);
					 bondAmtDone=bondAmtDue;
					 bondAmtDue=bondAmt-bondAmtDue;
					
					  valueXmlString.append("<amt__due>").append("<![CDATA["+bondAmtDue+"]]>").append("</amt__due>");
					 valueXmlString.append("<recovery_amt__done>").append("<![CDATA["+bondAmtDone+"]]>").append("</recovery_amt__done>");
			        }
					 pstmt.close();
					rs.close();
					pstmt = null;
					rs = null;
				}	
				valueXmlString.append("</Detail1>");
				break;
			}// end switch
			valueXmlString.append("</Root>");
			
		}
		catch(Exception e)
		{
			e.printStackTrace();			
			throw new ITMException(e);
		}
		finally
		{
			try
			{
				if(conn!=null)
				{	
					conn.close();
					conn = null;
				}
				if(pstmt != null)
				{
					pstmt.close();
					pstmt = null;
				}
				if(rs != null)
				{
					rs.close();
					rs = null;
				}
			}
			catch(Exception d)
			{
				d.printStackTrace();
			}			
		}
		System.out.println("Return xml ---->>>>"+valueXmlString.toString());
		return valueXmlString.toString();
	}
	public String getAcctCodeFromDept(Connection conn,PreparedStatement pstmt,ResultSet rs,String loginEmpCode)
    {	
		String acct_code="";
		try
		{
			String sql1 = "SELECT D.ACCT_CODE,E.EMP_CODE FROM EMPLOYEE E,DEPARTMENT D WHERE E.DEPT_CODE=D.DEPT_CODE AND E.EMP_CODE=?";
		    	
		    	 pstmt = conn.prepareStatement(sql1);
				pstmt.setString(1,loginEmpCode);
				rs = pstmt.executeQuery();
				if(rs.next())
				{
					acct_code  = rs.getString(1) ;					
					
				}
			}
		catch(Exception e)
		{
			e.printStackTrace();			
			
		}
		return acct_code;
		
    }
	public String getCctrCodeFromDept(Connection conn,PreparedStatement pstmt,ResultSet rs,String loginEmpCode)
    {
		String cctr_code="";
		try
		{
			String sql1 = "SELECT D.CCTR_CODE,E.EMP_CODE FROM EMPLOYEE E,DEPARTMENT D WHERE E.DEPT_CODE=D.DEPT_CODE AND E.EMP_CODE=?";
		    pstmt = conn.prepareStatement(sql1);
			pstmt.setString(1,loginEmpCode);
			rs = pstmt.executeQuery();
			if(rs.next())
			{
				cctr_code  = rs.getString(1) ;
			}
		}
		catch(Exception e)
		{
			e.printStackTrace();			
			
		}
		return cctr_code;
		
    }
	public static double monthsBetween(Calendar date1, Calendar date2)
	{
		 //new GregorianCalendar(yyyy, mm, dd) here month 0 is for January
        double monthsBetween = 0;
        //difference in month for years
        monthsBetween = (date1.get(Calendar.YEAR)-date2.get(Calendar.YEAR))*12;
        //difference in month for months
        monthsBetween += date1.get(Calendar.MONTH)-date2.get(Calendar.MONTH);
        //difference in month for days
        if(date1.get(Calendar.DAY_OF_MONTH)!=date1.getActualMaximum(Calendar.DAY_OF_MONTH)
                && date1.get(Calendar.DAY_OF_MONTH)!=date1.getActualMaximum(Calendar.DAY_OF_MONTH) ){
            monthsBetween += ((date1.get(Calendar.DAY_OF_MONTH)-date2.get(Calendar.DAY_OF_MONTH))/31d);
        }
       
        return monthsBetween;
    }
	
	/*public int getBondPeriod(Connection conn,PreparedStatement pstmt,ResultSet rs,String EmpCode,int monthsBetween)
	{
		ArrayList<Integer> bondprdList=new ArrayList<Integer>();
		try
		{
			String sql1 = "SELECT bond_prd where emp_code= ?";
		    	
		    	 pstmt = conn.prepareStatement(sql1);
				pstmt.setString(1,EmpCode);
				rs = pstmt.executeQuery();
				if(rs.next())
				{
					bondprdList.add(rs.getInt(1));				
					
				}
				System.out.println("in Bond list  --->>  :"+bondprdList);
				
				Iterator itr = bondprdList.iterator();
				while(itr.hasNext())
				{
					
					int i=Integer.parseInt(itr.next().toString());
					
					if (i==monthsBetween)
						return i;
				}
		}
		catch(Exception e)
		{
			e.printStackTrace();			
			
		}
		//return bondprdList;
	}*/
}
